MCP is live.Set upAsk the community
OmniDimension
Knowledge base

Detach files from agent

Detach multiple knowledge-base files from an agent.

POST/knowledge_base/detach
Body
2 fields
·

List of knowledge-base file IDs to detach.

ID of the agent to detach files from.

curl -X POST 'https://omnidim.io/api/v1/knowledge_base/detach' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "file_ids": [
    17686
  ],
  "agent_id": 158910
}'
Example response
{
  "success": true,
  "message": "1 files detached from agent successfully"
}

Authorization

BearerAuth
headerAuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

Request Body

application/json
file_ids*array<integer>

List of knowledge-base file IDs to detach.

Items1 <= items
agent_id*integer

ID of the agent to detach files from.

Response body

application/json

Response Body

Files detached.

application/json
success?boolean
message?string

Was this page helpful?